light-mode-image
Learn
API ReferenceCWT PDF templates

Retrieve a PDF template

Roles

adminissuermanaged-issuer

Analytics Events

CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_STARTCREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_SUCCESSCREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_FAIL
GET/v2/credentials/compact/pdf/templates/{id}

Retrieves an existing CWT credentials PDF template using its ID.

Analytic events

  • CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_START
  • CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_SUCCESS
  • CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

PDF template ID

id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v2/credentials/compact/pdf/templates/string"
{  "id": "string",  "name": "string",  "fileName": "string",  "fonts": [    {      "name": "string",      "fileName": "string"    }  ],  "metadata": {    "title": "string"  },  "fields": [    {      "key": "string",      "value": "string",      "isRequired": true,      "alternativeText": "string",      "fontName": "string"    }  ]}

How would you rate this page?